Bug 207467

Summary: Support in-band VTT captions when loading media in the GPU Process
Product: WebKit Reporter: Eric Carlson <eric.carlson>
Component: MediaAssignee: Eric Carlson <eric.carlson>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, calvaris, cdumez, cgarcia, clopez, cmarcelo, commit-queue, dbates, esprehn+autocc, ews-watchlist, glenn, gns, gyuyoung.kim, jer.noble, menard, philipj, pnormand, sergio, vjaquez, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
none
Patch for landing
none
Patch for landing none

Description Eric Carlson 2020-02-10 09:12:36 PST
Support in-band VTT captions when loading media in the GPU Process
Comment 1 Radar WebKit Bug Importer 2020-02-10 09:12:46 PST
<rdar://problem/59312749>
Comment 2 Eric Carlson 2020-02-10 10:42:58 PST
Created attachment 390263 [details]
Patch
Comment 3 Eric Carlson 2020-02-10 11:16:09 PST
Created attachment 390270 [details]
Patch
Comment 4 Eric Carlson 2020-02-10 11:23:56 PST
Created attachment 390273 [details]
Patch
Comment 5 Eric Carlson 2020-02-10 13:00:45 PST
The mac-wk1 test failures are happening because inspector/console/webcore-logging.html enabled verbose media logging and them timed out without disabling logging again, so every media test that ran afterwards has unexpected console logging.
Comment 6 Jer Noble 2020-02-10 13:19:02 PST
Comment on attachment 390273 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=390273&action=review

> Source/WebKit/WebProcess/GPU/media/MediaPlayerPrivateRemote.messages.in:60
> +    ## AddDataCue(MediaTime start, MediaTime end, IPC::DataReference data)
> +    ## AddDataCue(MediaTime start, MediaTime end, WebCore::SerializedPlatformRepresentation data, String type)
> +    ## UpdateDataCue(MediaTime start, MediaTime end, WebCore::SerializedPlatformRepresentation data)
> +    ## RemoveDataCue(MediaTime start, MediaTime end, WebCore::SerializedPlatformRepresentation data)
> +
> +    ## AddGenericCue(WebCore::GenericCueData cue)
> +    ## UpdateGenericCue(WebCore::GenericCueData cue)
> +    ## RemoveGenericCue(WebCore::GenericCueData cue)

Are these supposed to be left in?

> Source/WebKit/WebProcess/GPU/media/TextTrackPrivateRemote.messages.in:40
> +    ## AddDataCue(MediaTime start, MediaTime end, IPC::DataReference data)
> +    ## AddDataCue(MediaTime start, MediaTime end, WebCore::SerializedPlatformRepresentation data, String type)
> +    ## UpdateDataCue(MediaTime start, MediaTime end, WebCore::SerializedPlatformRepresentation data)
> +    ## RemoveDataCue(MediaTime start, MediaTime end, WebCore::SerializedPlatformRepresentation data)
> +
> +    ## AddGenericCue(WebCore::GenericCueData cue)
> +    ## UpdateGenericCue(WebCore::GenericCueData cue)
> +    ## RemoveGenericCue(WebCore::GenericCueData cue)

Ditto.
Comment 7 Eric Carlson 2020-02-11 06:04:52 PST
Created attachment 390356 [details]
Patch
Comment 8 Eric Carlson 2020-02-11 08:38:54 PST
Created attachment 390371 [details]
Patch for landing
Comment 9 Eric Carlson 2020-02-11 10:17:28 PST
Created attachment 390383 [details]
Patch for landing
Comment 10 WebKit Commit Bot 2020-02-11 13:38:04 PST
Comment on attachment 390383 [details]
Patch for landing

Clearing flags on attachment: 390383

Committed r256353: <https://trac.webkit.org/changeset/256353>
Comment 11 WebKit Commit Bot 2020-02-11 13:38:07 PST
All reviewed patches have been landed.  Closing bug.
Comment 12 Carlos Alberto Lopez Perez 2020-02-11 18:59:54 PST
Build fix for GTK/WPE Debug landed in https://trac.webkit.org/changeset/256421
Comment 13 Eric Carlson 2020-02-12 08:41:53 PST
(In reply to Carlos Alberto Lopez Perez from comment #12)
> Build fix for GTK/WPE Debug landed in
> https://trac.webkit.org/changeset/256421

Thanks for the fix Carlos, sorry I missed that!